Subject: Re: bug#78458: 31.0.50; treesit.el: thing navigation functions work incorrectly with some Clojure nodes

From: Juri Linkov <[email-masked]>
Date: Tue, 20 May 2025 19:32:19 +0300

>>>> I'll try to discuss with the author of the grammar possibility
>>>> to modify it to have just one 'open:' node instead of two.
>>
>> One node instead of two would be nicer for such things as
>> show-paren-mode.  But probably it won't much of help for navigation.
>> For example, bash-ts-mode still requires the trick with 'sexp-default'
>> even when the bash grammar defines "$(" as a single node.
>
> I've checked bash-ts-mode, and 'down-list' function jumps to the proper
> place (right after opening paren), so I guess having one node instead of
> two would help with navigation a little bit.

Indeed, one node will help to fix 'down-list' using 'treesit-down-list'.